import {EventProp} from "./components/Events";

export type PositionProp = {
    id: number,
    state: string,
    base_price: number,
    amount: number,
    symbol: string,
    profit_loss: number,
    profit_loss_percentage: number
}

export type FirstConnectMessage = {
    ticks: Array<number>,
    prices: Array<number>,
    positions: Array<PositionProp>
}

export type NewEventMessage = {
    tick: number,
    kind: string,
}

export type NewTickMessage = {
    tick: number,
    price: number,
    positions: Array<PositionProp>
}

export type PositionCloseMessage = {
    message_name: string,
    position_id: number,
}

export type CurrencyPair = {
    base: string,
    quote: string
}

